Bug 126419 - lsof doesn't behave properly with path-less sockets
lsof doesn't behave properly with path-less sockets
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lsof (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 09:23 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.72-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 12:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-21 09:23:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
NPLv1.5)

Description of problem:
lsof will not show locked files for sockets unless the full path is 
given.

WITHOUT FULL PATH:
 [root@box /]# cd /tmp/
 [root@box tmp]# lsof jd_sockV4
 [root@box tmp]#

WITH FULL PATH:
 [root@box /]# lsof /tmp/jd_sockV4
 COMMAND  PID USER   FD   TYPE     DEVICE SIZE NODE NAME
 jserver 1225  wnn    3u  unix 0xf787c700      1829 /tmp/jd_sockV4

WITH NON-EXISTANT FILE:
 # lsof non-existing-file
 lsof: status error on doesnt-exist: No such file or directory

Version-Release number of selected component (if applicable):
Comment 1 Need Real Name 2004-07-30 06:45:41 EDT
Any news on this?

Note You need to log in before you can comment on or make changes to this bug.